function [V1,V2,p,q,nature]=trace_V1V2(tmin,tmax,t0,ngra,xch,ych,affiche,nomsort);

% tude en symbolique de la nature d'un point (ordinaire, inflexion, rebroussement premire ou 
% seconde espce) et trac de la courbe et de V1 et V2
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  [V1,V2,p,q,nature]=trace_V1V2(tmin,tmax,t0,ngra,xch,ych,affiche,nomsort)
%
%	variables d'entres : 
%     * tmin, tmax : dbut et fin de l'intervalle d'tude (encadrant t0)
%     * t0 : point d'tude
%     * ngra : nombre de point pour le trac
%     * xch et ych  : deux chanes de caractre de la forme 'x(t)' et 
%                     'y(t)' o t est la seule variable, avec
%                     F(t)=(x(t),y(t))
%     * affiche : entier, qui gal  1, permet d'afficher les rsultats
%                 partiels de calcul de p et q
%     * nomsort : contient l'ventuel nom du fichier eps de sortie (sans extension eps) 
%
%	variables de sortie : 
%     * V1 et V2 : vecteur (en symbolique) gaux  F^p(t0) et F^q(t0)
%     * p et q : deux entiers correspondant au cours
%     * nature : chane donnant la nature du point tudi :
%        inflexion, ordinaire, premire ou seconde espce
%     
%
% ************ Fonctions auxiliaires utilises ************
%
%     calculpq
%
% *********************************************************
%
% (c) 2006 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

[V1,V2,p,q,nature]=calculpq(t0,xch,ych,affiche)
xfcn=vectorize(char(xch));
yfcn=vectorize(char(ych));
xfcn=inline(xfcn,'t');
yfcn=inline(yfcn,'t');
x0=feval(xfcn,t0);
y0=feval(yfcn,t0);
t0init=t0;
if (~isnumeric(t0))
   t0=double(t0); 
end    
x0=feval(xfcn,t0);
ta=linspace(tmin,t0,ngra);
tb=linspace(t0,tmax,ngra);
if (~isnumeric(ta))
   ta=double(ta); 
end    
if (~isnumeric(tb))
   tb=double(tb); 
end    
x=feval(xfcn,[ta,tb]);
y=feval(yfcn,[ta,tb]);
zs=sym(0);
clf;
hold on;
axis equal;
plot(x,y,'r');
h=gca;
xlimm=get(h,'XLim');
ylimm=get(h,'YLim');
if (V1(1)==zs)
   ACx1=[x0,x0];
   ACy1=ylimm;
else
   pente=double(V1(2)/V1(1));
   ACx1=xlimm;
   ACy1=(pente)*(xlimm-x0)+y0;
end
if (~isnumeric(ACx1))
   ACx1=double(ACx1); 
end    
if (~isnumeric(ACy1))
   ACy1=double(ACy1); 
end    
if (V2(1)==zs)
   ACx2=[x0,x0];
   ACy2=ylimm;
else
   pente=double(V2(2)/V2(1));
   ACx2=xlimm;
   ACy2=(pente)*(xlimm-x0)+y0;
end
if (~isnumeric(ACx2))
   ACx2=double(ACx2); 
end    
if (~isnumeric(ACy2))
   ACy2=double(ACy2); 
end    
plot(ACx1,ACy1,'b',ACx2,ACy2,'g');
%legend('courbe','V1','V2',0);
legend({'courbe','V1','V2'},'location','Best');
if isnumeric(t0init)
   t0cha=num2str(t0init);
else
   t0cha=char(t0init);
end    
title(['courbe au voisinage de ',t0cha,'. Nature du point : ',nature]);
hold off;
if (nargin==8)
   eval(['print -depsc ',nomsort,'.eps;']);
end
